#include<bits/stdc++.h>
using namespace std;
long long V;
int res=0;
int main()
{
    cin >> V;
    while(V>0)
    {
        int c = V%10;
        V/=10;
        if(c==1 || c==2 || c==5)res++;
        else if(c==3 || c==4 || c==6 || c==7)res+=2;
        else res+=3;
    }
    cout << res;
    return 0;
}